/** @odoo-module **/

import { registry } from "@web/core/registry";
import { preferencesItem } from "@web/webclient/user_menu/user_menu_items";
import {browser} from "@web/core/browser/browser";

function documentationItem1(env) {
    const documentationURL = "https://www.newbizpaas.cn/documentation";
    return {
        type: "item",
        id: "documentation1",
        description: env._t("Documentation"),
        href: documentationURL,
        callback: () => {
            browser.open(documentationURL, "_blank");
        },
        sequence: 10,
    };
}

function supportItem1(env) {
    const supportURL = "https://www.newbizpaas.cn/forum/1";
    return {
        type: "item",
        id: "support1",
        description: env._t("Support"),
        href: supportURL,
        callback: () => {
            browser.open(supportURL, "_blank");
        },
        sequence: 20,
    };
}


registry.category("user_menuitems").remove('documentation', { force: true })
registry.category("user_menuitems").add('documentation1', documentationItem1)

registry.category("user_menuitems").remove('support', { force: true })
registry.category("user_menuitems").add('support1', supportItem1)


registry.category("user_menuitems").remove('odoo_account', { force: true })
